fpt_set_s_ Struct Reference

Holds data for a set of cascade summations. More...

`#include <fpt.h>`

Collaboration diagram for fpt_set_s_:
[legend]

## Data Fields

unsigned int | flags
| The flags.
int | M
| The number of DPT transforms.
int | N
| The transform length.
int | t
| The exponent of N.
fpt_data * | dpt
| The DPT transform data.
double ** | xcvecs
| Array of pointers to arrays containing the Chebyshev nodes.
double * | xc
| Array for Chebychev-nodes.
double _Complex * | temp
double _Complex * | work
double _Complex * | result
double _Complex * | vec3
double _Complex * | vec4
double _Complex * | z
fftw_plan * | plans_dct3
| Transform plans for the fftw library.
fftw_plan * | plans_dct2
| Transform plans for the fftw library.
fftw_r2r_kind * | kinds
| Transform kinds for fftw library.
fftw_r2r_kind * | kindsr
| Transform kinds for fftw library.
double * | xc_slow

## Detailed Description

Holds data for a set of cascade summations.

Definition at line 65 of file fpt.h.

## Field Documentation

## flags

unsigned int fpt_set_s_::flags

The flags.

Definition at line 67 of file fpt.h.

Referenced by fpt_init(), and fpt_transposed().

## M

int fpt_set_s_::M

The number of DPT transforms.

Definition at line 68 of file fpt.h.

Referenced by fpt_init().

## N

int fpt_set_s_::N

The transform length.

Must be a power of two.

Definition at line 69 of file fpt.h.

Referenced by fpt_init().

## t

int fpt_set_s_::t

The exponent of N.

Definition at line 71 of file fpt.h.

Referenced by fpt_init().

## dpt

fpt_data* fpt_set_s_::dpt

The DPT transform data.

Definition at line 72 of file fpt.h.

Referenced by fpt_init(), and fpt_transposed().

## xcvecs

double** fpt_set_s_::xcvecs

Array of pointers to arrays containing the Chebyshev nodes.

Definition at line 73 of file fpt.h.

Referenced by fpt_init(), and fpt_transposed().

## xc

double* fpt_set_s_::xc

Array for Chebychev-nodes.

Definition at line 76 of file fpt.h.

## temp

double _Complex* fpt_set_s_::temp

Definition at line 77 of file fpt.h.

## work

double _Complex* fpt_set_s_::work

Definition at line 78 of file fpt.h.

## result

double _Complex* fpt_set_s_::result

Definition at line 79 of file fpt.h.

## vec3

double _Complex* fpt_set_s_::vec3

Definition at line 80 of file fpt.h.

## vec4

double _Complex* fpt_set_s_::vec4

Definition at line 81 of file fpt.h.

## z

double _Complex* fpt_set_s_::z

Definition at line 82 of file fpt.h.

## plans_dct3

fftw_plan* fpt_set_s_::plans_dct3

Transform plans for the fftw library.

Definition at line 83 of file fpt.h.

Referenced by fpt_init().

## plans_dct2

fftw_plan* fpt_set_s_::plans_dct2

Transform plans for the fftw library.

Definition at line 85 of file fpt.h.

Referenced by fpt_init().

## kinds

fftw_r2r_kind* fpt_set_s_::kinds

Transform kinds for fftw library.

Definition at line 87 of file fpt.h.

Referenced by fpt_init().

## kindsr

fftw_r2r_kind* fpt_set_s_::kindsr

Transform kinds for fftw library.

Definition at line 89 of file fpt.h.

Referenced by fpt_init().

## xc_slow

double* fpt_set_s_::xc_slow

Definition at line 93 of file fpt.h.

The documentation for this struct was generated from the following file:

- fpt.h